commit:     ace303b997ad0bfa7c6143fe1002a037fcff178b
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Fri Jul 25 05:09:25 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 25 06:14:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ace303b9

net-misc/ipv6calc: missing dies, don't call ldconfig

ldconfig is not helpfull here (no reverse dep),
the abspath may be wrong in some env,
ldconfig from musl doesn't support any arg.

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/43146
Closes: https://github.com/gentoo/gentoo/pull/43146
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/ipv6calc/files/ipv6calc-4.3.2-ldconfig_musl.patch | 10 +++++-----
 net-misc/ipv6calc/ipv6calc-4.3.2.ebuild                    |  8 ++++----
 2 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/net-misc/ipv6calc/files/ipv6calc-4.3.2-ldconfig_musl.patch 
b/net-misc/ipv6calc/files/ipv6calc-4.3.2-ldconfig_musl.patch
index 2abd5967922b..a883a03477d4 100644
--- a/net-misc/ipv6calc/files/ipv6calc-4.3.2-ldconfig_musl.patch
+++ b/net-misc/ipv6calc/files/ipv6calc-4.3.2-ldconfig_musl.patch
@@ -1,14 +1,15 @@
-https://github.com/pbiering/ipv6calc/pull/49
+ldconfig is not helpfull here
+the abspath may be wrong in some env
+ldconfig from musl doesn't support any arg
 diff --git a/databases/lib/Makefile.in b/databases/lib/Makefile.in
 index ed3c55d..a57a080 100644
 --- a/databases/lib/Makefile.in
 +++ b/databases/lib/Makefile.in
-@@ -91,7 +91,7 @@ ifeq ($(SHARED_LIBRARY), yes)
+@@ -91,7 +91,6 @@ ifeq ($(SHARED_LIBRARY), yes)
                echo "Install shared library"
                mkdir -p $(DESTDIR)$(libdir)
                install -m 755 libipv6calc_db_wrapper.so.@PACKAGE_VERSION@ 
$(DESTDIR)$(libdir)
 -              /sbin/ldconfig -n $(DESTDIR)$(libdir)
-+              /sbin/ldconfig $(DESTDIR)$(libdir)
  else
                echo "Nothing to do (shared library mode is not enabled)"
  endif
@@ -16,12 +17,11 @@ diff --git a/lib/Makefile.in b/lib/Makefile.in
 index 827e3ae..61527b7 100644
 --- a/lib/Makefile.in
 +++ b/lib/Makefile.in
-@@ -121,7 +121,7 @@ ifeq ($(SHARED_LIBRARY), yes)
+@@ -121,7 +121,6 @@ ifeq ($(SHARED_LIBRARY), yes)
                echo "Install shared library"
                mkdir -p $(DESTDIR)$(libdir)
                install -m 755 libipv6calc.so.@PACKAGE_VERSION@ 
$(DESTDIR)$(libdir)
 -              /sbin/ldconfig -n $(DESTDIR)$(libdir)
-+              /sbin/ldconfig $(DESTDIR)$(libdir)
  else
                echo "Nothing to do (shared library mode is not enabled)"
  endif

diff --git a/net-misc/ipv6calc/ipv6calc-4.3.2.ebuild 
b/net-misc/ipv6calc/ipv6calc-4.3.2.ebuild
index 445b2163d613..c4ac0f939bb3 100644
--- a/net-misc/ipv6calc/ipv6calc-4.3.2.ebuild
+++ b/net-misc/ipv6calc/ipv6calc-4.3.2.ebuild
@@ -84,12 +84,12 @@ src_configure() {
 src_test() {
        if [[ ${EUID} -eq 0 ]]; then
                # Disable tests that fail as root
-               echo true > ipv6logstats/test_ipv6logstats.sh
+               echo true > ipv6logstats/test_ipv6logstats.sh || die
        fi
        # it requires an apache instance
-       echo true > mod_ipv6calc/test_mod_ipv6calc.sh
+       echo true > mod_ipv6calc/test_mod_ipv6calc.sh || die
        # it requires network
-       echo true > ipv6calcweb/test_ipv6calcweb.sh
-       echo true > ipv6calcweb/test_ipv6calcweb_form.sh
+       echo true > ipv6calcweb/test_ipv6calcweb.sh || die
+       echo true > ipv6calcweb/test_ipv6calcweb_form.sh || die
        default
 }

Reply via email to